=== debian/changelog ===
ksystemstats (6.5.1+p24.04+vstable+git20251029.0656-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:56:49 +0000

ksystemstats (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:46:48 +0000
