## ksystemstats 6.5.1+p24.04+vstable+git20251031.0910

=== debian/changelog ===
ksystemstats (6.5.1+p24.04+vstable+git20251031.0910-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:10:46 +0000
