## ksystemstats 6.5.2+p24.04+vunstable+git20251113.0440

=== debian/changelog ===
ksystemstats (6.5.2+p24.04+vunstable+git20251113.0440-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 04:40:25 +0000

ksystemstats (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:12:16 +1000
