=== debian/changelog ===
ksystemstats (6.5.3+p24.04+vunstable+git20251123.0121-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 01:21:13 +0000

ksystemstats (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:12:55 +1000
