=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf6kio-dev (>= 6.18.0~),
                libkf6networkmanagerqt-dev (>= 6.18.0~) [linux-any],
                libkf6solid-dev (>= 6.18.0~),
-               libksysguard-dev (>= 4:6.5.3~),
+               libksysguard-dev (>= 4:6.5.4~),
                libnl-3-dev [linux-any],
                libnl-route-3-dev [linux-any],
                libsensors-dev [linux-any],
