## ksystemstats 6.5.4+p24.04+vstable+git20251231.0328

=== debian/changelog ===
ksystemstats (6.5.4+p24.04+vstable+git20251231.0328-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:28:04 +0000

ksystemstats (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:21:10 +1000
