## ksystemstats 6.5.4+p24.04+vstable+git20260105.1044

=== debian/changelog ===
ksystemstats (6.5.4+p24.04+vstable+git20260105.1044-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:44:47 +0000
