## ksystemstats 6.5.4+p24.04+vunstable+git20251209.1315

=== debian/changelog ===
ksystemstats (6.5.4+p24.04+vunstable+git20251209.1315-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 13:15:27 +0000
