## ksystemstats 6.5.5+p24.04+vstable+git20260130.0803

=== debian/changelog ===
ksystemstats (6.5.5+p24.04+vstable+git20260130.0803-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:03:44 +0000

ksystemstats (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:29:42 +1000
