## ksystemstats 6.5.5+p24.04+vstable+git20260131.1328

=== debian/changelog ===
ksystemstats (6.5.5+p24.04+vstable+git20260131.1328-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 13:28:14 +0000
