=== debian/changelog ===
ksystemstats (6.5.5+p24.04+vunstable+git20260131.0249-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:49:31 +0000
