=== debian/control ===
--- 
+++ 
@@ -8,24 +8,24 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
                libcap-dev [linux-any],
                libcap2-bin [linux-any],
                libdrm-dev,
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6crash-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkf6networkmanagerqt-dev (>= 6.18.0~) [linux-any],
-               libkf6solid-dev (>= 6.18.0~),
-               libksysguard-dev (>= 4:6.5.5~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6crash-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6networkmanagerqt-dev (>= 6.22.0~) [linux-any],
+               libkf6solid-dev (>= 6.22.0~),
+               libksysguard-dev (>= 4:6.6.1~),
                libnl-3-dev [linux-any],
                libnl-route-3-dev [linux-any],
                libsensors-dev [linux-any],
                libudev-dev [linux-any],
                pkgconf,
-               qt6-base-dev (>= 6.9.0~),
+               qt6-base-dev (>= 6.10.0~),
 Standards-Version: 4.7.0
 Homepage: https://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemstats
