=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf6kio-dev (>= 6.22.0~),
                libkf6networkmanagerqt-dev (>= 6.22.0~) [linux-any],
                libkf6solid-dev (>= 6.22.0~),
-               libksysguard-dev (>= 4:6.6.1~),
+               libksysguard-dev (>= 4:6.6.2~),
                libnl-3-dev [linux-any],
                libnl-route-3-dev [linux-any],
                libsensors-dev [linux-any],
